# Desarrolladores

## Arquitectura

Antes de meterte con el código conviene que conozcas como está estructurado.

Tenemos 2 entidades principales: [Páginas de opciones](Page.md) (clase `Page`). Dentro de cada una agrupamos las funcionalidades por [bloques](Block.md) (clase `Block`).

![Arquitectura](images/pages-and-blocks.png)

En la imagen se muestra con borde amarillo un ejemplo de **Página de opciones** y en verde un **Bloque**.

Una vez que tengamos listo nuestro código debemos [traducirlo](Translations.md).

## Referencias rápidas ⚡

-   [Páginas de opciones](Page.md)
-   [Bloques](Block.md)
-   [Traducciones](Translations.md)
-   [Carbon Fields - Campos de Formulario](https://docs.carbonfields.net/learn/fields/usage.html)
